4 Replies Latest reply on Jul 18, 2017 9:36 AM by Amen Allah Jlili

    Create Axis at location (5, 0, 0)

    Rahul Khande

      I don't want to create Axis at origin. Code below creates axis passing through origin:

      IModelDoc2 modDoc;

      ModelDocExtension swModelDocExt = modDoc.Extension;

      bool boolstatus = swModelDocExt.SelectByID2("Right Plane", "PLANE", 0, 0, 0, true, 0, null, (int)swSelectOption_e.swSelectOptionDefault);


      boolstatus = swModelDocExt.SelectByID2("Front Plane", "PLANE", 0, 0, 0, true, 0, null, (int)swSelectOption_e.swSelectOptionDefault);


      modDoc.InsertAxis2(true);

       

      I want to create it at some arbitrary location suppose (5,0,0)
      I'm not able to do it.
      Can someone please help.

       

      Or is there any other way than above code ?